@angular-eslint/eslint-plugin versions and peer dependencies

The table below has a list of all versions of @angular-eslint/eslint-plugin compatible peers dependencies.

Version Peer Dependency Versions
1.0.0 - 1.2.0
  • eslint @ *
  • eslint-plugin-import @ *
  • eslint-plugin-jsdoc @ *
  • eslint-plugin-prefer-arrow @ *
  • typescript @ *
2.0.0
  • eslint @ *
  • eslint-plugin-import @ *
  • eslint-plugin-jsdoc @ *
  • eslint-plugin-prefer-arrow @ *
  • typescript @ *
2.0.1 - 2.1.1
  • @angular/compiler @ >= 11.2.0 < 12.0.0
  • eslint @ *
  • eslint-plugin-import @ *
  • eslint-plugin-jsdoc @ *
  • eslint-plugin-prefer-arrow @ *
  • typescript @ *
3.0.0 - 3.0.1
  • @angular/compiler @ >= 11.2.0 < 12.0.0
  • eslint @ *
  • typescript @ *
4.0.0 - 4.3.0
  • @angular/compiler @ >= 11.2.0 < 12.0.0
  • eslint @ *
  • typescript @ *